#
#   Copyright © 2021,2022 IsardVDI S.L.
#
#   This file is part of DD
#
#   DD is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   DD is distributed in the hope that it will be useful, but WITHOUT ANY
#   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#   FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
#   details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with DD. If not, see <https://www.gnu.org/licenses/>.
#
# SPDX-License-Identifier: AGPL-3.0-or-later
version: '3.7'
services:
  dd-sso-api:
    build:
      context: ${BUILD_SSO_ROOT_PATH}/docker/api
      dockerfile: Dockerfile
      target: production
      args:
        DOMAIN: $DOMAIN
        NGINX_ALPINE_IMG: ${NGINX_ALPINE_IMG-nginx:1.21.6-alpine}
    container_name: dd-sso-api
    environment:
      DOMAIN: ${DOMAIN}
      KEYCLOAK_USER: ${KEYCLOAK_USER}
      KEYCLOAK_PASSWORD: ${KEYCLOAK_PASSWORD}
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - ${CUSTOM_PATH}/custom/menu:/api/menu
      - ${CUSTOM_PATH}/custom/img:/api/api/static/img
      - ${CUSTOM_PATH}/custom:/custom:ro
      - ${DATA_FOLDER}/avatars:/api/avatars:ro
    restart: unless-stopped
    networks:
      - dd_net
